严重 Apache Log4j2 Lookup 代码执行与拒绝服务漏洞(CVE-2021-45046)

CVE编号

CVE-2021-45046

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2021-12-15
漏洞描述
发现Apache Log4j 2.15.0中针对CVE-2021-44228的修复在某些非默认配置中不完整。当日志配置使用带有上下文查找的非默认模式布局(例如,$${ctx:loginId})时,控制线程上下文映射 (MDC) 输入数据的攻击者可以使用 JNDI 查找模式制作恶意输入数据,导致部分环境信息泄露和远程代码执行
解决建议
升级至Log4j 2.12.2 或Log4j 2.16.0
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 Apache Log4j2 * From
(including)
2.0-beta9
Up to
(excluding)
2.12.2
运行在以下环境
应用 Apache Log4j2 * From
(including)
2.13.0
Up to
(excluding)
2.16.0
运行在以下环境
系统 amazon_2 apache-log4j2 * Up to
(excluding)
11.0.13.0.8-1.amzn2.0.3
运行在以下环境
系统 amazon_AMI apache-log4j2 * Up to
(excluding)
1.8.0-openjdk-javadoc-1.8.0.312.b07-0.66.amzn1
运行在以下环境
系统 debian_10 apache-log4j2 * Up to
(excluding)
2.16.0-1~deb10u1
运行在以下环境
系统 debian_11 apache-log4j2 * Up to
(excluding)
2.16.0-1~deb11u1
运行在以下环境
系统 debian_12 apache-log4j2 * Up to
(including)
2.15.0-1
运行在以下环境
系统 fedora_34 apache-log4j2 * Up to
(excluding)
2.17.0-1.fc34
运行在以下环境
系统 fedora_35 apache-log4j2 * Up to
(excluding)
2.17.0-1.fc35
运行在以下环境
系统 opensuse_Leap_15.2 apache-log4j2 * Up to
(excluding)
3.4.4-lp152.2.3.1
运行在以下环境
系统 opensuse_Leap_15.3 apache-log4j2 * Up to
(excluding)
2.13.0-4.6.1
运行在以下环境
系统 ubuntu_20.04 apache-log4j2 * Up to
(excluding)
2.16.0-0.20.04.1
运行在以下环境
系统 ubuntu_21.04 apache-log4j2 * Up to
(excluding)
2.16.0-0.21.04.1
运行在以下环境
系统 ubuntu_21.10 apache-log4j2 * Up to
(excluding)
2.16.0-0.21.10.1
阿里云评分
10.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    100000+
CWE-ID 漏洞类型
CWE-502 可信数据的反序列化
阿里云安全产品覆盖情况